Group Finder

The Group Finder service allows you to pass in a set of criteria and returns a listing of the groups that best match the criteria. It is important to note that only active non-administrative groups that are listed and available via public search will be returned. These settings can be found in the application by editing group settings and going to the options tab. Interaction Type must not be set to 'Administrative', Listed must be checked, Public Search must be checked, and Group must be active.

Service Name

group_search

Required Parameters

None

Optional Parameters

NameType
area_idinteger
campus_idinteger
childcareboolean
meet_day_idinteger
meet_time_idinteger
department_idinteger
type_idinteger
udf_pulldown_1_idinteger
udf_pulldown_2_idinteger
udf_pulldown_3_idinteger
limit_records_startinteger
limit_records_per_pageinteger
order_by_1string
order_by_2string
order_by_3string
order_by_1_sortstring
order_by_2_sortstring
order_by_3_sortstring

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=group_search"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="group_search" name="srv"/>
    </parameters>
  </request>
  <response>
    <service>group_search</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <items count="1">
      <item>
        <item_id type="groups">9</item_id>
        <id>9</id>
        <name>**Sweet Tea Junkies**</name>
        <group_type_name>Interest</group_type_name>
        <grouping_name>Adult Ministries</grouping_name>
        <area_name ccb_id="2">North</area_name>
        <meet_day_name>Monday</meet_day_name>
        <meet_time_name>Lunch</meet_time_name>
        <description>We like a little tea with our sugar. **DO NOT TOUCH**</description>
        <status_id>1</status_id>
        <messaging_type>Interact</messaging_type>
        <membership_type>Open</membership_type>
        <owner_name ccb_id="49">Group Leader</owner_name>
        <owner_email_primary>[email protected]</owner_email_primary>
      </item>
    </items>
  </response>
</ccb_api>